function error = SquaredError(params,offerMatrix,countsMatrix, countDiffAssorts,numProds )
%Computed squares error for MC model.  We give this function to fmincon

    error=0;
    for s=1:countDiffAssorts
        S=offerMatrix(s,:);
        A=-(transpose(repmat(1-S,numProds,1).*params(:,2:numProds+1))) + eye(numProds);
        b=(1-S).*reshape(params(:,1),[1,numProds]);
        beta= A\reshape(b,[numProds,1]);
        for j=1:numProds
            if countsMatrix(s,j)>0
               purchaseProb = params(j,1) + sum(params(:,j).*beta);
               error=error + (countsMatrix(s,j)-purchaseProb)^2; 
            end
            
        end
              
    end


end

